be.ehealth.businessconnector.therlink.builders

## Interface ProofBuilder

- All Known Implementing Classes:
    ProofBuilderImpl

      public interface ProofBuilder

  Interface for all ProofBuilders Default impl : `ProofBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Proof` | `createProofForEidReading()` Creates a `Proof` for eID reading
    `Proof` | `createProofForEidSigning(Credential cred)` Creates a `Proof` for eID signing, with default SHA256 signature algorithm.
    `Proof` | `createProofForEidSigning(Credential cred, String signatureAlgorithm)` Creates a `Proof` for eID signing, with supplied signature algorithm.
    `Proof` | `createProofForIsiReading()` Creates a `Proof` for Sis reading
    `Proof` | `createSimpleProof(String proofType)` creates a simple `Proof` for a given kmehr proof type.

- - ### Method Detail

    - #### createProofForEidSigning

          Proof createProofForEidSigning(Credential cred)
                                  throws TechnicalConnectorException,
                                         TherLinkBusinessConnectorException

      Creates a `Proof` for eID signing, with default SHA256 signature algorithm. Requires the eID card of the patient connected.
      Throws:
        `TechnicalConnectorException`
        `TherLinkBusinessConnectorException`

    - #### createProofForEidSigning

          Proof createProofForEidSigning(Credential cred,
                                         String signatureAlgorithm)
                                  throws TherLinkBusinessConnectorException

      Creates a `Proof` for eID signing, with supplied signature algorithm. Requires the eID card of the patient connected.
      Throws:
        `TherLinkBusinessConnectorException`

    - #### createProofForEidReading

          Proof createProofForEidReading()

      Creates a `Proof` for eID reading

    - #### createProofForIsiReading

          Proof createProofForIsiReading()

      Creates a `Proof` for Sis reading

    - #### createSimpleProof

          Proof createSimpleProof(String proofType)

      creates a simple `Proof` for a given kmehr proof type. The proof will only contain the proofType , which is now an extendable kmehr code.
      Parameters:
        `proofType` - String
      Returns:
        Proof with the given type.

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.